Package com.ocient.jdbc.proto

## Class PlanProtocol.EquivalentPartitioning.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.EquivalentPartitioning.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.EquivalentPartitioningOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.EquivalentPartitioning

    public static final class PlanProtocol.EquivalentPartitioning.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>
    implements PlanProtocol.EquivalentPartitioningOrBuilder

    Represents equivalent partitioning, meaning we are partitioned on at least one of these columns and they are identical

Protobuf type `xg.db.sqlPlans.EquivalentPartitioning`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.EquivalentPartitioning.Builder` `addAllIndex​(Iterable<? extends Integer> values)` the column indexes in this partitioning
`PlanProtocol.EquivalentPartitioning.Builder` `addIndex​(int value)` the column indexes in this partitioning
`PlanProtocol.EquivalentPartitioning.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.EquivalentPartitioning` `build()`
`PlanProtocol.EquivalentPartitioning` `buildPartial()`
`PlanProtocol.EquivalentPartitioning.Builder` `clear()`
`PlanProtocol.EquivalentPartitioning.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.EquivalentPartitioning.Builder` `clearIndex()` the column indexes in this partitioning
`PlanProtocol.EquivalentPartitioning.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.EquivalentPartitioning.Builder` `clone()`
`PlanProtocol.EquivalentPartitioning` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getIndex​(int index)` the column indexes in this partitioning
`int` `getIndexCount()` the column indexes in this partitioning
`List<Integer>` `getIndexList()` the column indexes in this partitioning
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.EquivalentPartitioning.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.EquivalentPartitioning.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.EquivalentPartitioning.Builder` `mergeFrom​(PlanProtocol.EquivalentPartitioning other)`
`PlanProtocol.EquivalentPartitioning.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.EquivalentPartitioning.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.EquivalentPartitioning.Builder` `setIndex​(int index, int value)` the column indexes in this partitioning
`PlanProtocol.EquivalentPartitioning.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.EquivalentPartitioning.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### clear

    public PlanProtocol.EquivalentPartitioning.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.EquivalentPartitioning getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.EquivalentPartitioning build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.EquivalentPartitioning buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.EquivalentPartitioning.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### setField

    public PlanProtocol.EquivalentPartitioning.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### clearField

    public PlanProtocol.EquivalentPartitioning.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### clearOneof

    public PlanProtocol.EquivalentPartitioning.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### setRepeatedField

    public PlanProtocol.EquivalentPartitioning.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                        int index,
                                                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### addRepeatedField

    public PlanProtocol.EquivalentPartitioning.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### mergeFrom

    public PlanProtocol.EquivalentPartitioning.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### mergeFrom

    public PlanProtocol.EquivalentPartitioning.Builder mergeFrom​(PlanProtocol.EquivalentPartitioning other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### mergeFrom

    public PlanProtocol.EquivalentPartitioning.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.EquivalentPartitioning.Builder>`
Throws:
  `IOException`

#### getIndexList

    public List<Integer> getIndexList()

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Specified by:
  `getIndexList` in interface `PlanProtocol.EquivalentPartitioningOrBuilder`
Returns:
  A list containing the index.

#### getIndexCount

    public int getIndexCount()

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Specified by:
  `getIndexCount` in interface `PlanProtocol.EquivalentPartitioningOrBuilder`
Returns:
  The count of index.

#### getIndex

    public int getIndex​(int index)

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Specified by:
  `getIndex` in interface `PlanProtocol.EquivalentPartitioningOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The index at the given index.

#### setIndex

    public PlanProtocol.EquivalentPartitioning.Builder setIndex​(int index,
                                                                int value)

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The index to set.
Returns:
  This builder for chaining.

#### addIndex

    public PlanProtocol.EquivalentPartitioning.Builder addIndex​(int value)

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Parameters:
  `value` - The index to add.
Returns:
  This builder for chaining.

#### addAllIndex

    public PlanProtocol.EquivalentPartitioning.Builder addAllIndex​(Iterable<? extends Integer> values)

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Parameters:
  `values` - The index to add.
Returns:
  This builder for chaining.

#### clearIndex

    public PlanProtocol.EquivalentPartitioning.Builder clearIndex()

    the column indexes in this partitioning

`repeated uint32 index = 1;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.EquivalentPartitioning.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.EquivalentPartitioning.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.EquivalentPartitioning.Builder>`